function plagesmax_CV_comp(obj,event)
%plagesmax_CV_comp  Mettre les plages maximales aux CVs à estimer
% INPUT
% obj et event sont ignorés
%% ======================================================
global input_error;

data=guidata(1);
CVs=data.CVs;

if ~isfield(data, 'num_tab_tag_control')
    return % le panel des entrées est vierge
end

if get(data.cvinparam_tag, 'value')==1
    % les CV sont a estimer
    % Se positionner sur le panel des CV  a estimer
    nmod=3;
    
    if str2double(get(data.num_tab_tag_control,'string')) ~= nmod
        objet=uicontrol('visible', 'off', ...
            'userdata', '_control');
        while (str2double(get(data.num_tab_tag_control,'string')) > nmod)
            retrancher_comparaison_tab(objet);
        end
        while (str2double(get(data.num_tab_tag_control,'string')) < nmod)
            ajouter_comparaison_tab(objet);
        end
    end
    s= find(strcmpi(data.Basemodeles.nom, data.modelepop1));
    % modèle dans lequel les CVs ont été rajoutés à la liste des paramètres à estimer
    Basemodeles=data.Basemodeles;
    nomparamP=Basemodeles.nomparamP{s};
    init=Basemodeles.DF;
    
    
    %% Les CV a estimer
    for i=1:length(nomparamP)
        if any(strcmpi(nomparamP{i}, CVs.nomparamS))
            % le CV est a estimer
            var=[nomparamP{i},'min'];
            tag=[var,'_tag'];
            set(data.(tag),'string',eval(init.(nomparamP{i}){1}));
            if ~isempty(input_error) && isfield(input_error, tag)
                input_error= rmfield(input_error, tag);
            end
            var=[nomparamP{i},'max'];
            tag=[var,'_tag'];
            set(data.(tag),'string',eval(init.(nomparamP{i}){2}));
            if ~isempty(input_error) && isfield(input_error, tag)
                input_error= rmfield(input_error, tag);
            end
        end
    end
    
end % fin CVs a estimer
end % fin plagesmax_CV_comp
